Skip to main content
POST
Save VM disk as custom image
Updated May 8, 2026

Authorizations

X-API-Key
string
header
required

API key for authentication. Each key is bound to a specific account.

Headers

X-Project-ID
string<uuid>
required

Project ID. Required for all mutating operations (create, delete, power actions, resize).

Path Parameters

id
string<uuid>
required

VM ID (UUID)

Body

application/json
name
string
required

Custom image name.

Required string length: 1 - 128
Example:

"web-server-baseline"

description
string

Optional description for the saved image.

disk_id
integer
default:0

Which disk to capture. 0 for the OS disk, 1+ for attached volumes.

snapshot_id
integer
default:-1

Source for the image. -1 captures the current live disk state. Pass a snapshot ID to capture from a saved snapshot.

Response

Image creation initiated

success
boolean
data
object

A custom OS image saved from a VM disk. Use id as template_id when creating new VMs.

Last modified on May 8, 2026